Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.capabilities
Class WCTSCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
          org.deegree.owscommon_1_1_0.OWSCommonCapabilities
              org.deegree.ogcwebservices.wcts.capabilities.WCTSCapabilities

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WCTSConfiguration

    public class WCTSCapabilities

extends OWSCommonCapabilities

The `WCTSCapabilities` encapsulates the capabilities document of the wcts 0.4.0, using the ows 1.1.0.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$
See Also:
  Serialized Form

Constructor Summary
`WCTSCapabilities(String version, String updateSequence, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, OperationsMetadata operationsMetadata, Content contents)`
`WCTSCapabilities(WCTSCapabilities other)`

Method Summary
`Content` | `getContents()`

Methods inherited from class org.deegree.owscommon_1_1_0.OWSCommonCapabilities
`getOperationsMetadata, getServiceIdentification, getServiceProvider`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
`getUpdateSequence, getVersion, setUpdateSequence, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WCTSCapabilities

    public WCTSCapabilities(String version,
                            String updateSequence,
                            ServiceIdentification serviceIdentification,
                            ServiceProvider serviceProvider,
                            OperationsMetadata operationsMetadata,
                            Content contents)

Parameters:
  `version` -
  `updateSequence` -
  `serviceIdentification` -
  `serviceProvider` -
  `operationsMetadata` -
  `contents` -

### WCTSCapabilities

    public WCTSCapabilities(WCTSCapabilities other)

Parameters:
  `other` - to copy from.

Method Detail

### getContents

    public final Content getContents()

  Returns:
    the contents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org